## python-sh 2.2.1

=== Makefile ===
# runs all tests on all envs, in parallel
.PHONY: test
test: build_test_image
	docker run -it --rm amoffat/shtest tox -p

# one test on all envs, in parallel
.PHONY: test_one
test_one: build_test_image
	docker run -it --rm amoffat/shtest tox -p -- $(test)

.PHONY: build_test_image
build_test_image:
	docker build -t amoffat/shtest -f tests/Dockerfile --build-arg cache_bust=951 .

# publishes to PYPI
.PHONY: release
release:
	poetry publish --dry-run

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -a -W
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
toml==0.10.2

## python-sh 1.09

=== debian/changelog ===
python-sh (1.09-1) unstable; urgency=medium

  * Initial release (Closes: #699123).

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 31 Jul 2014 19:26:58 -0400

=== debian/control ===
Source: python-sh
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tianon Gravi <admwiggin@gmail.com>,
 Paul Tagliamonte <paultag@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python3-all (>= 3.1~),
 python3-setuptools
Standards-Version: 3.9.5
Homepage: https://github.com/amoffat/sh/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-sh/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-sh/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1

Package: python-sh
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python subprocess interface
 sh (previously pbs) is a full-fledged subprocess replacement for Python 2.6 -
 3.2 that allows you to call any program as if it were a function:
 .
   from sh import ifconfig
   print ifconfig("eth0")
 .
 sh is not a collection of system commands implemented in Python.
 .
 This package provides Python 2 module bindings only.

Package: python3-sh
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 subprocess interface
 sh (previously pbs) is a full-fledged subprocess replacement for Python 2.6 -
 3.2 that allows you to call any program as if it were a function:
 .
   from sh import ifconfig
   print ifconfig("eth0")
 .
 sh is not a collection of system commands implemented in Python.
 .
 This package provides Python 3 module bindings only.

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/s/sh/ \
    sh-(\d.*).tar.gz

## python-sh 1.11

=== debian/changelog ===
python-sh (1.11-1) unstable; urgency=medium

  * Update to 1.11 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Sat, 02 May 2015 23:06:10 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-setuptools,
  python3-all (>= 3.1~),
  python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/amoffat/sh/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-sh/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-sh/trunk/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/sh/sh-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sh 1.12.14

=== debian/changelog ===
python-sh (1.12.14-1.1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Non-maintainer upload
  * New upstream version 1.12.14 (Closes: #907370)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 04 Sep 2018 09:04:49 -0400

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,8 @@
  python3-setuptools
 Standards-Version: 3.9.6
 Homepage: https://github.com/amoffat/sh/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-sh/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-sh/trunk/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.1
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-sh.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sh
 
 Package: python-sh
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sh

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_installchangelogs:
	# TODO see https://github.com/amoffat/sh/pull/192
	dh_installchangelogs # CHANGELOG.md

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sh/sh-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sh 1.14.1

=== debian/changelog ===
python-sh (1.14.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Gordon Ball ]
  * d/watch: use github as upstream
  * New upstream version 1.14.1
  * d/control: Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 16:58:09 +0000

python-sh (1.12.14-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 11:34:27 +0200

=== debian/control ===
Source: python-sh
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tianon Gravi <admwiggin@gmail.com>,
 Paul Tagliamonte <paultag@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.1~),
 python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/amoffat/sh/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sh.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sh
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sh
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 subprocess interface
 sh (previously pbs) is a full-fledged subprocess replacement for Python 2.6 -
 3.2 that allows you to call any program as if it were a function:
 .
   from sh import ifconfig
   print ifconfig("eth0")
 .
 sh is not a collection of system commands implemented in Python.
 .
 This package provides Python 3 module bindings only.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/amoffat/sh/tags .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## python-sh 1.14.2

=== debian/changelog ===
python-sh (1.14.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Gordon Ball ]
  * Fix d/watch match pattern
  * New upstream version 1.14.2

 -- Gordon Ball <gordon@chronitis.net>  Sat, 09 Oct 2021 22:11:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
  Paul Tagliamonte <paultag@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.1~),
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/amoffat/sh/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sh.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sh

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sh

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_installchangelogs:
	# TODO see https://github.com/amoffat/sh/pull/192
	dh_installchangelogs # CHANGELOG.md

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/amoffat/sh/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## python-sh 2.0.7

=== debian/changelog ===
python-sh (2.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.7
  * Remove old ref to Python 2.6+
  * Use dh-sequence-python3

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Sep 2024 23:55:12 +0200

=== debian/control ===
Source: python-sh
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tianon Gravi <admwiggin@gmail.com>,
 Paul Tagliamonte <paultag@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python-is-python3,
 python3-all,
 python3-poetry-core,
 python3-pytest,
Standards-Version: 4.6.2
Homepage: https://github.com/amoffat/sh/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sh.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sh
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sh
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 subprocess interface
 sh (previously pbs) is a full-fledged subprocess replacement
 that allows you to call any program as if it were a function:
 .
   from sh import ifconfig
   print ifconfig("eth0")
 .
 sh is not a collection of system commands implemented in Python.

## python-sh 2.2.1

=== debian/changelog ===
python-sh (2.2.1-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Update email address in Uploaders
  * Update description for Python 3 (Closes: #1082503)
  * Remove unused debian/Dockerfile

  [ Sam Hartman ]
  * New upstream version
  * Update to standards version 4.7.0, no change

 -- Sam Hartman <hartmans@debian.org>  Thu, 30 Jan 2025 10:17:42 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Tianon Gravi <admwiggin@gmail.com>,
- Paul Tagliamonte <paultag@debian.org>
+Uploaders: Tianon Gravi <tianon@debian.org>,
+ Paul Tagliamonte <paultag@debian.org>,
+ Sam Hartman <hartmans@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
@@ -11,7 +12,7 @@
  python3-all,
  python3-poetry-core,
  python3-pytest,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/amoffat/sh/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sh.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sh
@@ -26,6 +27,6 @@
  that allows you to call any program as if it were a function:
  .
    from sh import ifconfig
-   print ifconfig("eth0")
+   print(ifconfig("eth0"))
  .
  sh is not a collection of system commands implemented in Python.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sh
export PYBUILD_TEST_ARGS=tests/sh_test.py -k 'not test_environment'

%:
	dh $@ --buildsystem pybuild
